##
##	.tcshrc
##

	bindkey	"^P"	history-search-backward
	bindkey	"^N"	history-search-forward
	bindkey	"^[l"	list-choices
	bindkey	"^[ "	set-mark-command
#	bindkey	"^U"	universal-argument
	bindkey	"^R"	i-search-back
	bindkey	"^O"	expand-history
	bindkey	"^@"	list-choices

	set	host_sun4 = ( richard ludwig franz felix erik igor	\
			pyotr sergei gustav jean georg robert alex )
	set	host_i386 = ( oak cherry pine cedar wisteria )
	set	host_HP = ( marko{0,1,2,3,4,5} )
	set	hosts_alpha = ( alpha beta )
	set 	hosts = ( $host_sun4 $host_i386 $host_HP $hosts_alpha )

	unset	autologout
#	set	autolist
#	set	matchbeep=notunique
	set	matchbeep=nomatch
#	set	symlinks=expand
	set	symlinks=ignore
	set	autocorrect
	set	correct=cmd
	set	listlinks
	set	listjobs=long
	set	dunique
#	set	pushdtohome
	set	showdots=-A
	set	visiblebell

	set     prompt="%n@%m:%~[%h] "
        set     prompt2=""
#	set     color

	complete rsh		'p/1/$hosts/' 'p/2/c/' 'n/*/f/'	# ホスト名補完
	complete rlogin		'n/-l/u/' 'n/*/$hosts/'
	complete rx		'n/*/$hosts/' 'p/2/c/' 'n/*/f/'
	complete on		'p/1/$hosts/' 'p/2/c/' 'n/*/f/'
	complete xon		'p/1/$hosts/' 'p/2/c/' 'n/*/f/'
	complete ping		'n/1/$hosts/'
	complete traceroute	'n/1/$hosts/'
	complete cd		'p/1/d/'	# ディレクトリ名補完
	complete chdir		'p/1/d/'
	complete pu		'p/1/d/'
	complete po		'p/1/d/'
	complete pushd		'p/1/d/'
	complete popd		'p/1/d/'
	complete rmdir		'p/*/d/'
	complete whatis		'p/*/c/'	# コマンド名補完
	complete man		'p/*/c/'
	complete fep		'p/*/c/'
	complete which		'p/*/c/'
	complete whereis	'p/*/c/'
	complete where		'p/*/c/'
	complete skill		'p/*/c/'
	complete trace		'p/*/c/'
	complete exec		'p/*/c/'
	complete dbx		'p/*/c/'
	complete xdbx		'p/*/c/'
	complete gdb		'p/*/c/'
	complete nohup		'p/*/c/'
	complete nice		'p/1/c/'
	complete robert		'p/*/c/'
	complete johan		'p/*/c/'
	complete fred		'p/*/c/'
	complete wolfgang	'p/*/c/'
	complete gustav		'p/*/c/'
	complete felix		'p/*/c/'
	complete maurice	'p/*/c/'
	complete claude		'p/*/c/'
	complete georg		'p/*/c/'
	complete fritz		'p/*/c/'
	complete niccolo	'p/*/c/'
	complete igor		'p/*/c/'
	complete pyotr		'p/*/c/'
	complete sergei		'p/*/c/'
	complete anton		'p/*/c/'
	complete ludwig		'p/*/c/'
	complete richard	'p/*/c/'
	complete joseph		'p/*/c/'
	complete carl		'p/*/c/'
	complete franz		'p/*/c/'
	complete alex		'p/*/c/'
	complete alias		'p/1/a/'	# 別名補完
	complete unalias	'p/1/a/'
	complete set		'p/1/s/'	# シェル変数名補完
	complete unset		'p/1/s/'
	complete finger		'p/1/u/'	# ユーザ名補完
	complete phone		'p/1/u/'
	complete talk		'p/1/u/'
	complete setenv		'p/1/e/'	# 環境変数名補完
	complete unsetenv	'p/1/e/'
	complete printenv	'p/1/e/'
	complete xdvi		'n/*/f:*.dvi/'	# dviファイル名補完
	complete xtex		'n/*/f:*.dvi/'
	complete jdvi2kps	'n/*/f:*.dvi/'
	complete dvips		'n/*/f:*.dvi/'
	complete latex		'n/*/f:*.tex/'	# texファイル名補完
	complete jlatex		'n/*/f:*.tex/'
	complete titex		'n/*/f:*.tex/'
	complete jtex		'n/*/f:*.{tex,texi,texinfo}/'
	complete jplatex	'n/*/f:*.{tex,texi,texinfo}/'
	complete jptex		'n/*/f:*.{tex,texi,texinfo}/'
	complete gs		'n/*/f:*.{ps,PS,eps,epsf,pdf}/'	# psファイル名補完
	complete ghostview	'n/*/f:*.{ps,PS,eps,epsf,pdf}/'
	complete multi		'n/*/f:*.{ps,PS,eps,epsf}/'
	complete tar		'n/*Z*/f:*.tar.Z/' \
				'n/*z*/f:*.{tar.{z,gz},tgz,tbz2}/' \
				'p/2/f:*.tar/' \
				'n/*/f/'
	complete zcat		'n/*/f:*.{Z,z,gz,tbz2}/'	# compless,gzipファイル名補完
	complete uncompless	'n/*/f:*.Z/'
	complete nroff		'c/-/(man)/' 'n/*/f:*.{man,[1-9],l,n,p}/' 'n/*/f/'
	complete lpr		'c/-P/(cps ecps fps nps enps ops eops rps erps xps)/' \
				'n/-P{x,n,en,c,ec,o,eo,r,er,f}ps/f:*.{ps,PS,eps,epsf}/' 'n/*/f/'
	complete lpq		'c/-P/(cps ecps nps enps xps ops eops rps erps fps)/'
	complete lprm		'c/-P/(cps ecps nps enps xps ops eops rps erps fps)/'

	alias	cwdcmd 'set prompt="%n@%m:%~[%h] "'

	source ~/.cshrc

